package com.ningdatech.pmapi.dashboard.helper;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.ningdatech.pmapi.dashboard.constant.AnalysisBasicConstant;
import com.ningdatech.pmapi.sys.model.entity.Region;
import com.ningdatech.pmapi.sys.service.IRegionService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @author liuxinxin
 * @date 2023/8/3 下午3:13
 */

@Component
@RequiredArgsConstructor
public class DashboardRegionHelper {

    private final IRegionService iRegionService;

    /**
     * 获取丽水区域相关信息
     */
    public Map<String, String> getLiShuiRegionCodeNameMap() {
        List<Region> regionList = iRegionService.list(Wrappers.lambdaQuery(Region.class)
                .eq(Region::getParentCode, AnalysisBasicConstant.LS_REGION_CODE));
        Map<String, String> regionCodeNameMap = regionList.stream().collect(Collectors.toMap(Region::getRegionCode, Region::getRegionName));
        return regionCodeNameMap;
    }

}
